import { r as registerInstance, h, H as Host } from './index-55faf181.js';
import { C as CookieStorage } from './cookie-93ea205f.js';
import { p as prod } from './services-fc4ce8f3.js';
import { D as DamgaApi } from './damga-api-4194ffa0.js';
import './kimlikApi-7350588e.js';
import './data-transfer-field-918730a3.js';
import './BaseField-461b6d0c.js';
import './filter-cbaa3d7d.js';
import './_commonjsHelpers-27f122dd.js';

const DevingenProductRootDamga = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    const jwt = new CookieStorage().getAll().jwt;
    const headers = {
      Authorization: jwt ? `Bearer ${new CookieStorage().getAll().jwt}` : undefined,
    };
    this.apiDamga = new DamgaApi(`${prod.damga}/${prod.base}`, headers);
  }
  render() {
    const { apiDamga, apiData, product, products, workspaceOwnerships } = this;
    return (h(Host, null, h("devingen-product-damga-domains", { apiDamga: apiDamga, apiData: apiData, product: product, products: products, workspaceOwnerships: workspaceOwnerships })));
  }
};

export { DevingenProductRootDamga as devingen_product_root_damga };
